package android.support.v4.media;

import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.support.v4.media.d;
import android.support.v4.media.e;
import android.support.v4.media.session.MediaSessionCompat;
import android.text.TextUtils;
/* loaded from: classes.dex */
public final class MediaDescriptionCompat implements Parcelable {
    public static final Parcelable.Creator<MediaDescriptionCompat> CREATOR = new a();

    /* renamed from: d  reason: collision with root package name */
    private final String f10d;

    /* renamed from: e  reason: collision with root package name */
    private final CharSequence f11e;

    /* renamed from: f  reason: collision with root package name */
    private final CharSequence f12f;

    /* renamed from: g  reason: collision with root package name */
    private final CharSequence f13g;

    /* renamed from: h  reason: collision with root package name */
    private final Bitmap f14h;

    /* renamed from: i  reason: collision with root package name */
    private final Uri f15i;

    /* renamed from: j  reason: collision with root package name */
    private final Bundle f16j;
    private final Uri k;
    private Object l;

    /* loaded from: classes.dex */
    static class a implements Parcelable.Creator<MediaDescriptionCompat> {
        a() {
        }

        @Override // android.os.Parcelable.Creator
        /* renamed from: a */
        public MediaDescriptionCompat createFromParcel(Parcel parcel) {
            return Build.VERSION.SDK_INT < 21 ? new MediaDescriptionCompat(parcel) : MediaDescriptionCompat.a(d.a(parcel));
        }

        @Override // android.os.Parcelable.Creator
        /* renamed from: b */
        public MediaDescriptionCompat[] newArray(int i2) {
            return new MediaDescriptionCompat[i2];
        }
    }

    /* loaded from: classes.dex */
    public static final class b {
        private String a;
        private CharSequence b;
        private CharSequence c;

        /* renamed from: d  reason: collision with root package name */
        private CharSequence f17d;

        /* renamed from: e  reason: collision with root package name */
        private Bitmap f18e;

        /* renamed from: f  reason: collision with root package name */
        private Uri f19f;

        /* renamed from: g  reason: collision with root package name */
        private Bundle f20g;

        /* renamed from: h  reason: collision with root package name */
        private Uri f21h;

        public MediaDescriptionCompat a() {
            return new MediaDescriptionCompat(this.a, this.b, this.c, this.f17d, this.f18e, this.f19f, this.f20g, this.f21h);
        }

        public b b(CharSequence charSequence) {
            this.f17d = charSequence;
            return this;
        }

        public b c(Bundle bundle) {
            this.f20g = bundle;
            return this;
        }

        public b d(Bitmap bitmap) {
            this.f18e = bitmap;
            return this;
        }

        public b e(Uri uri) {
            this.f19f = uri;
            return this;
        }

        public b f(String str) {
            this.a = str;
            return this;
        }

        public b g(Uri uri) {
            this.f21h = uri;
            return this;
        }

        public b h(CharSequence charSequence) {
            this.c = charSequence;
            return this;
        }

        public b i(CharSequence charSequence) {
            this.b = charSequence;
            return this;
        }
    }

    MediaDescriptionCompat(Parcel parcel) {
        this.f10d = parcel.readString();
        this.f11e = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.f12f = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.f13g = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        ClassLoader classLoader = MediaDescriptionCompat.class.getClassLoader();
        this.f14h = (Bitmap) parcel.readParcelable(classLoader);
        this.f15i = (Uri) parcel.readParcelable(classLoader);
        this.f16j = parcel.readBundle(classLoader);
        this.k = (Uri) parcel.readParcelable(classLoader);
    }

    MediaDescriptionCompat(String str, CharSequence charSequence, CharSequence charSequence2, CharSequence charSequence3, Bitmap bitmap, Uri uri, Bundle bundle, Uri uri2) {
        this.f10d = str;
        this.f11e = charSequence;
        this.f12f = charSequence2;
        this.f13g = charSequence3;
        this.f14h = bitmap;
        this.f15i = uri;
        this.f16j = bundle;
        this.k = uri2;
    }

    /* JADX WARN: Removed duplicated region for block: B:20:0x0069  */
    /* JADX WARN: Removed duplicated region for block: B:21:0x006d  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static MediaDescriptionCompat a(Object obj) {
        int i2;
        Uri uri;
        Bundle bundle = null;
        if (obj == null || (i2 = Build.VERSION.SDK_INT) < 21) {
            return null;
        }
        b bVar = new b();
        bVar.f(d.f(obj));
        bVar.i(d.h(obj));
        bVar.h(d.g(obj));
        bVar.b(d.b(obj));
        bVar.d(d.d(obj));
        bVar.e(d.e(obj));
        Bundle c = d.c(obj);
        if (c != null) {
            MediaSessionCompat.a(c);
            uri = (Uri) c.getParcelable("android.support.v4.media.description.MEDIA_URI");
        } else {
            uri = null;
        }
        if (uri != null) {
            if (!c.containsKey("android.support.v4.media.description.NULL_BUNDLE_FLAG") || c.size() != 2) {
                c.remove("android.support.v4.media.description.MEDIA_URI");
                c.remove("android.support.v4.media.description.NULL_BUNDLE_FLAG");
            }
            bVar.c(bundle);
            if (uri == null) {
                bVar.g(uri);
            } else if (i2 >= 23) {
                bVar.g(e.a(obj));
            }
            MediaDescriptionCompat a2 = bVar.a();
            a2.l = obj;
            return a2;
        }
        bundle = c;
        bVar.c(bundle);
        if (uri == null) {
        }
        MediaDescriptionCompat a22 = bVar.a();
        a22.l = obj;
        return a22;
    }

    public Object b() {
        int i2;
        Object obj = this.l;
        if (obj != null || (i2 = Build.VERSION.SDK_INT) < 21) {
            return obj;
        }
        Object b2 = d.a.b();
        d.a.g(b2, this.f10d);
        d.a.i(b2, this.f11e);
        d.a.h(b2, this.f12f);
        d.a.c(b2, this.f13g);
        d.a.e(b2, this.f14h);
        d.a.f(b2, this.f15i);
        Bundle bundle = this.f16j;
        if (i2 < 23 && this.k != null) {
            if (bundle == null) {
                bundle = new Bundle();
                bundle.putBoolean("android.support.v4.media.description.NULL_BUNDLE_FLAG", true);
            }
            bundle.putParcelable("android.support.v4.media.description.MEDIA_URI", this.k);
        }
        d.a.d(b2, bundle);
        if (i2 >= 23) {
            e.a.a(b2, this.k);
        }
        Object a2 = d.a.a(b2);
        this.l = a2;
        return a2;
    }

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public String toString() {
        return ((Object) this.f11e) + ", " + ((Object) this.f12f) + ", " + ((Object) this.f13g);
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i2) {
        if (Build.VERSION.SDK_INT >= 21) {
            d.i(b(), parcel, i2);
            return;
        }
        parcel.writeString(this.f10d);
        TextUtils.writeToParcel(this.f11e, parcel, i2);
        TextUtils.writeToParcel(this.f12f, parcel, i2);
        TextUtils.writeToParcel(this.f13g, parcel, i2);
        parcel.writeParcelable(this.f14h, i2);
        parcel.writeParcelable(this.f15i, i2);
        parcel.writeBundle(this.f16j);
        parcel.writeParcelable(this.k, i2);
    }
}
