package android.support.v4.media.session;

import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.support.v4.media.session.g;
import android.text.TextUtils;
import java.util.ArrayList;
import java.util.List;
/* loaded from: classes.dex */
public final class PlaybackStateCompat implements Parcelable {
    public static final Parcelable.Creator<PlaybackStateCompat> CREATOR = new a();

    /* renamed from: d  reason: collision with root package name */
    final int f40d;

    /* renamed from: e  reason: collision with root package name */
    final long f41e;

    /* renamed from: f  reason: collision with root package name */
    final long f42f;

    /* renamed from: g  reason: collision with root package name */
    final float f43g;

    /* renamed from: h  reason: collision with root package name */
    final long f44h;

    /* renamed from: i  reason: collision with root package name */
    final int f45i;

    /* renamed from: j  reason: collision with root package name */
    final CharSequence f46j;
    final long k;
    List<CustomAction> l;
    final long m;
    final Bundle n;
    private Object o;

    /* loaded from: classes.dex */
    public static final class CustomAction implements Parcelable {
        public static final Parcelable.Creator<CustomAction> CREATOR = new a();

        /* renamed from: d  reason: collision with root package name */
        private final String f47d;

        /* renamed from: e  reason: collision with root package name */
        private final CharSequence f48e;

        /* renamed from: f  reason: collision with root package name */
        private final int f49f;

        /* renamed from: g  reason: collision with root package name */
        private final Bundle f50g;

        /* renamed from: h  reason: collision with root package name */
        private Object f51h;

        /* loaded from: classes.dex */
        static class a implements Parcelable.Creator<CustomAction> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: a */
            public CustomAction createFromParcel(Parcel parcel) {
                return new CustomAction(parcel);
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: b */
            public CustomAction[] newArray(int i2) {
                return new CustomAction[i2];
            }
        }

        CustomAction(Parcel parcel) {
            this.f47d = parcel.readString();
            this.f48e = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.f49f = parcel.readInt();
            this.f50g = parcel.readBundle(MediaSessionCompat.class.getClassLoader());
        }

        CustomAction(String str, CharSequence charSequence, int i2, Bundle bundle) {
            this.f47d = str;
            this.f48e = charSequence;
            this.f49f = i2;
            this.f50g = bundle;
        }

        public static CustomAction a(Object obj) {
            if (obj == null || Build.VERSION.SDK_INT < 21) {
                return null;
            }
            CustomAction customAction = new CustomAction(g.a.a(obj), g.a.d(obj), g.a.c(obj), g.a.b(obj));
            customAction.f51h = obj;
            return customAction;
        }

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        public String toString() {
            return "Action:mName='" + ((Object) this.f48e) + ", mIcon=" + this.f49f + ", mExtras=" + this.f50g;
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeString(this.f47d);
            TextUtils.writeToParcel(this.f48e, parcel, i2);
            parcel.writeInt(this.f49f);
            parcel.writeBundle(this.f50g);
        }
    }

    /* loaded from: classes.dex */
    static class a implements Parcelable.Creator<PlaybackStateCompat> {
        a() {
        }

        @Override // android.os.Parcelable.Creator
        /* renamed from: a */
        public PlaybackStateCompat createFromParcel(Parcel parcel) {
            return new PlaybackStateCompat(parcel);
        }

        @Override // android.os.Parcelable.Creator
        /* renamed from: b */
        public PlaybackStateCompat[] newArray(int i2) {
            return new PlaybackStateCompat[i2];
        }
    }

    PlaybackStateCompat(int i2, long j2, long j3, float f2, long j4, int i3, CharSequence charSequence, long j5, List<CustomAction> list, long j6, Bundle bundle) {
        this.f40d = i2;
        this.f41e = j2;
        this.f42f = j3;
        this.f43g = f2;
        this.f44h = j4;
        this.f45i = i3;
        this.f46j = charSequence;
        this.k = j5;
        this.l = new ArrayList(list);
        this.m = j6;
        this.n = bundle;
    }

    PlaybackStateCompat(Parcel parcel) {
        this.f40d = parcel.readInt();
        this.f41e = parcel.readLong();
        this.f43g = parcel.readFloat();
        this.k = parcel.readLong();
        this.f42f = parcel.readLong();
        this.f44h = parcel.readLong();
        this.f46j = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.l = parcel.createTypedArrayList(CustomAction.CREATOR);
        this.m = parcel.readLong();
        this.n = parcel.readBundle(MediaSessionCompat.class.getClassLoader());
        this.f45i = parcel.readInt();
    }

    public static PlaybackStateCompat a(Object obj) {
        ArrayList arrayList;
        int i2 = Build.VERSION.SDK_INT;
        if (obj == null || i2 < 21) {
            return null;
        }
        List<Object> d2 = g.d(obj);
        if (d2 != null) {
            ArrayList arrayList2 = new ArrayList(d2.size());
            for (Object obj2 : d2) {
                arrayList2.add(CustomAction.a(obj2));
            }
            arrayList = arrayList2;
        } else {
            arrayList = null;
        }
        PlaybackStateCompat playbackStateCompat = new PlaybackStateCompat(g.i(obj), g.h(obj), g.c(obj), g.g(obj), g.a(obj), 0, g.e(obj), g.f(obj), arrayList, g.b(obj), i2 >= 22 ? h.a(obj) : null);
        playbackStateCompat.o = obj;
        return playbackStateCompat;
    }

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public String toString() {
        return "PlaybackState {state=" + this.f40d + ", position=" + this.f41e + ", buffered position=" + this.f42f + ", speed=" + this.f43g + ", updated=" + this.k + ", actions=" + this.f44h + ", error code=" + this.f45i + ", error message=" + this.f46j + ", custom actions=" + this.l + ", active item id=" + this.m + "}";
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeInt(this.f40d);
        parcel.writeLong(this.f41e);
        parcel.writeFloat(this.f43g);
        parcel.writeLong(this.k);
        parcel.writeLong(this.f42f);
        parcel.writeLong(this.f44h);
        TextUtils.writeToParcel(this.f46j, parcel, i2);
        parcel.writeTypedList(this.l);
        parcel.writeLong(this.m);
        parcel.writeBundle(this.n);
        parcel.writeInt(this.f45i);
    }
}
