package dev.fluttercommunity.plus.share;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ResolveInfo;
import android.net.Uri;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
/* loaded from: classes.dex */
class b {
    private Context a;
    private Activity b;
    private String c = e().getPackageName() + ".flutter.share_provider";

    /* JADX INFO: Access modifiers changed from: package-private */
    public b(Context context, Activity activity) {
        this.a = context;
        this.b = activity;
    }

    private void a() {
        File g2 = g();
        if (g2.exists()) {
            for (File file : g2.listFiles()) {
                file.delete();
            }
            g2.delete();
        }
    }

    private static void b(File file, File file2) {
        FileInputStream fileInputStream = new FileInputStream(file);
        try {
            FileOutputStream fileOutputStream = new FileOutputStream(file2);
            byte[] bArr = new byte[1024];
            while (true) {
                int read = fileInputStream.read(bArr);
                if (read <= 0) {
                    fileOutputStream.close();
                    return;
                }
                fileOutputStream.write(bArr, 0, read);
            }
        } finally {
            fileInputStream.close();
        }
    }

    private File c(File file) {
        File g2 = g();
        if (!g2.exists()) {
            g2.mkdirs();
        }
        File file2 = new File(g2, file.getName());
        b(file, file2);
        return file2;
    }

    private boolean d(File file) {
        try {
            return file.getCanonicalPath().startsWith(g().getCanonicalPath());
        } catch (IOException unused) {
            return false;
        }
    }

    private Context e() {
        Activity activity = this.b;
        if (activity != null) {
            return activity;
        }
        Context context = this.a;
        if (context != null) {
            return context;
        }
        throw new IllegalStateException("Both context and activity are null");
    }

    private String f(String str) {
        return (str == null || !str.contains("/")) ? "*" : str.substring(0, str.indexOf("/"));
    }

    private File g() {
        return new File(e().getCacheDir(), "share_plus");
    }

    private ArrayList<Uri> h(List<String> list) {
        ArrayList<Uri> arrayList = new ArrayList<>(list.size());
        for (String str : list) {
            File file = new File(str);
            if (d(file)) {
                throw new IOException("File to share not allowed to be located in '" + g().getCanonicalPath() + "'");
            }
            arrayList.add(e.c.a.b.e(e(), this.c, c(file)));
        }
        return arrayList;
    }

    private String i(List<String> list) {
        if (list.size() <= 1) {
            return list.size() == 1 ? list.get(0) : "*/*";
        }
        String str = list.get(0);
        for (int i2 = 1; i2 < list.size(); i2++) {
            String str2 = list.get(i2);
            if (!str.equals(str2)) {
                if (!f(str2).equals(f(str))) {
                    return "*/*";
                }
                str = f(str2) + "/*";
            }
        }
        return str;
    }

    private void m(Intent intent) {
        Activity activity = this.b;
        if (activity != null) {
            activity.startActivity(intent);
        } else if (this.a == null) {
            throw new IllegalStateException("Both context and activity are null");
        } else {
            intent.addFlags(268435456);
            this.a.startActivity(intent);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void j(Activity activity) {
        this.b = activity;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void k(String str, String str2) {
        if (str == null || str.isEmpty()) {
            throw new IllegalArgumentException("Non-empty text expected");
        }
        Intent intent = new Intent();
        intent.setAction("android.intent.action.SEND");
        intent.putExtra("android.intent.extra.TEXT", str);
        intent.putExtra("android.intent.extra.SUBJECT", str2);
        intent.setType("text/plain");
        m(Intent.createChooser(intent, null));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void l(List<String> list, List<String> list2, String str, String str2) {
        String i2;
        if (list == null || list.isEmpty()) {
            throw new IllegalArgumentException("Non-empty path expected");
        }
        a();
        ArrayList<Uri> h2 = h(list);
        Intent intent = new Intent();
        if (h2.isEmpty()) {
            k(str, str2);
            return;
        }
        if (h2.size() == 1) {
            intent.setAction("android.intent.action.SEND");
            intent.putExtra("android.intent.extra.STREAM", h2.get(0));
            i2 = (list2.isEmpty() || list2.get(0) == null) ? "*/*" : list2.get(0);
        } else {
            intent.setAction("android.intent.action.SEND_MULTIPLE");
            intent.putParcelableArrayListExtra("android.intent.extra.STREAM", h2);
            i2 = i(list2);
        }
        intent.setType(i2);
        if (str != null) {
            intent.putExtra("android.intent.extra.TEXT", str);
        }
        if (str2 != null) {
            intent.putExtra("android.intent.extra.SUBJECT", str2);
        }
        intent.addFlags(1);
        Intent createChooser = Intent.createChooser(intent, null);
        for (ResolveInfo resolveInfo : e().getPackageManager().queryIntentActivities(createChooser, 65536)) {
            String str3 = resolveInfo.activityInfo.packageName;
            Iterator<Uri> it = h2.iterator();
            while (it.hasNext()) {
                e().grantUriPermission(str3, it.next(), 3);
            }
        }
        m(createChooser);
    }
}
